Subject: Re: bug#53729: 29.0.50; Tamil text not shaped in modeline

From: Visuwesh <[email-masked]>
Date: Sat, 19 Feb 2022 10:21:37 +0530

[சனி, பிப்ரவரி 19 2022] Jai Vetrivelan wrote:

> Hello,
>
> On 2022-02-15, 16:26 +0200, Eli Zaretskii <[email-masked]> wrote:
>
>>> > But I cannot reproduce this on my system, so it is hard to tell what
>>> > is going on here.
>>> 
>>> That is really unfortunate.
>>
>> Maybe someone else can reproduce this?
>
> I tried reproducing the above issue and can confirm it.
>
> The text is weirdly shaped when opening a binary file with file
> extension. There are no messages in stdout/stderr, however.
>
>
>
> Buffer 1: Opening a image file without extension in its file name.
> Buffer 2: A ASCII text file.
> Buffer 3: (generate-new-buffer "கட்டற்ற மென்பொருள்")
> Buffer 4: The same image as in buffer one but with file extension in
>           the file name.
>
> It looks as if the problem is with the file extension and not the file
> itself, I might be wrong:

Thank you, Jai, for reproducing; I was finding it hard to find someone
who can reproduce it.  Can you also see if Telugu and Kannada text are
shaped properly?  Here, I don't see them shaped properly.

[ I cannot read either of the languages, so I'm just comparing the
  shaping in HELLO file and the modeline but I can get someone who can
  read Telugu, and Kannada.  ]

Also, can you report your harfbuzz version?  I'd like to make sure if my
harfbuzz version (3.0.0) is the problem before I spend time updating my
system, thanks.